Bug 13840 - eepro100: eth0: card reports no RX buffers
eepro100: eth0: card reports no RX buffers
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Michael K. Johnson
Depends On:
  Show dependency treegraph
Reported: 2000-07-12 19:23 EDT by John Cagle
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-08-08 22:25:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Cagle 2000-07-12 19:23:43 EDT
After installation, and the system is rebooted, if there's any traffic on the network whatsoever, the eepro100 driver will constantly display the 
following error messages:

eth0: card reports no RX buffers.
eth0: card reports no resources.
eth0: card reports no RX buffers.
eth0: card reports no resources.

This is happening on the ProLiant DL 360 and ML 350, which use the Intel 82559 embedded NIC.
Comment 1 Glen Foster 2000-07-18 16:24:50 EDT
This defect is considered MUST-FIX for Winston Beta-5
Comment 2 John Cagle 2000-07-18 21:02:37 EDT
FYI, on Jul 03, 2000, I contacted Andrey Savochkin regarding this problem with
the eepro100 driver.  He replied with the following message, but I haven't heard
from him since:

On Mon, Jul 03, 2000 at 06:27:31PM -0500, John Cagle wrote:
> Andrey,
> Please let me know if there's any testing I can help you with.  I've got
> several different servers that use the eepro100 driver, and would be
> happy to help you test it.

I've got the hardware where I can reproduce the problem myself.
I'll send you a note when I solve it to test the fix.

Best regards
					Andrey V.
Comment 3 Glen Foster 2000-07-21 09:21:40 EDT
Compaq Computers considers this defect a must-fix defect for Winston release
(per Harry Heinisch on 21-Jul-2000).
Comment 4 Glen Foster 2000-07-21 16:34:55 EDT
This defect has been re-classified as MUST-FIX for Winston Gold-release
Comment 5 John Cagle 2000-07-28 13:50:47 EDT
Would Red Hat consider including Intel's e100 driver to be used for the specific
adapters it supports, and only use eepro100 for all other 8255x adapters?
Comment 6 Alan Cox 2000-08-01 05:48:14 EDT
From the experience in the field with the intel driver I think it would be at
best a solution of dubious
value. One other option is to use the 2.2.14 driver with that subspecies of card
if we can identify
it. Unfortunately Intel are not exactly forthcoming with eepro100 docs so it is
very hard to debug
this chip and handle its errata.
Comment 7 Michael K. Johnson 2000-08-04 16:29:10 EDT
We will, as it turns out, be including the e100 driver, though
I don't think it will be turned on by default; it will at least
be there to try if the eepro100 driver fails you...  Whether it
will be a solution or not, we'll find out with more testing.
Comment 8 John Cagle 2000-08-08 08:44:44 EDT
This is 100% repeatable with Pinstripe on the Compaq ProLiant ML330 server.
Is there any way we could automatically use the e100 driver on specific
PCI sub-system vendor & device IDs?
Comment 9 Michael K. Johnson 2000-08-08 09:53:29 EDT
I don't think we can change that this late in the
game, but I copied Bill as he can tell us for sure.
Whether we would want to change still has to be
determined, and I think we would need more analysis.

Also, we have made a change to the eepro100 driver
that may fix this.  I'd like you to test the kernel
that I put in your private directory on gribble.
If you don't know how to get at gribble, let me know.
Comment 10 John Cagle 2000-08-08 19:19:27 EDT
New kernel works great on the ML330!  No errors, and no performance issues!
GOOD WORK!  I still need to test our other platforms that had this
problem, but it's promising...
Comment 11 Michael K. Johnson 2000-08-08 22:25:08 EDT
Great!  Thanks for the report, and glad that it appears
to fix the problem.

Question: have you tried DHCP while doing this testing?
The first test here DHCP didn't work but static config
did work -- but we realized later that we might have
run the DHCP server out of addresses, so if you have
already tested that or get a chance to test that, let
us know.  Thanks!
Comment 12 Michael K. Johnson 2000-08-09 12:35:37 EDT
FYI, I dropped our RC1 kernel in your private gribble dir

Note You need to log in before you can comment on or make changes to this bug.